import { Client, Plugin, PluginManifest, PluginModules } from "@web3api/core-js";
import CID from "cids";
export interface IpfsConfig {
    provider: string;
}
export declare class IpfsPlugin extends Plugin {
    private _config;
    private _ipfs;
    constructor(_config: IpfsConfig);
    static manifest(): PluginManifest;
    static isCID(cid: string): boolean;
    getModules(_client: Client): PluginModules;
    setProvider(provider: string): void;
    add(data: Uint8Array): Promise<{
        path: string;
        cid: CID;
    }>;
    cat(cid: string): Promise<Uint8Array>;
    catToString(cid: string): Promise<string>;
    catToBuffer(cid: string): Promise<Uint8Array>;
    ls(cid: string): AsyncIterable<{
        depth: number;
        name: string;
        type: string;
        path: string;
    }>;
}
